AbstractSaveEventListener.EntityState (Hibernate JavaDocs)
Date: 2012-04-05

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## org.hibernate.event.internal
Enum AbstractSaveEventListener.EntityState

    java.lang.Object
      java.lang.Enum<AbstractSaveEventListener.EntityState>
          org.hibernate.event.internal.AbstractSaveEventListener.EntityState

All Implemented Interfaces:
  Serializable, Comparable<AbstractSaveEventListener.EntityState>

Enclosing class:
  AbstractSaveEventListener

    public static enum AbstractSaveEventListener.EntityState

extends Enum<AbstractSaveEventListener.EntityState>

Enum Constant Summary
`DELETED`
`DETACHED`
`PERSISTENT`
`TRANSIENT`

Method Summary
`static AbstractSaveEventListener.EntityState` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static AbstractSaveEventListener.EntityState[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### PERSISTENT

    public static final AbstractSaveEventListener.EntityState PERSISTENT

### TRANSIENT

    public static final AbstractSaveEventListener.EntityState TRANSIENT

### DETACHED

    public static final AbstractSaveEventListener.EntityState DETACHED

### DELETED

    public static final AbstractSaveEventListener.EntityState DELETED

Method Detail

### values

    public static AbstractSaveEventListener.EntityState[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (AbstractSaveEventListener.EntityState c : AbstractSaveEventListener.EntityState.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static AbstractSaveEventListener.EntityState valueOf(String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `IllegalArgumentException` - if this enum type has no constant with the specified name
    `NullPointerException` - if the argument is null

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

Copyright © 2001-2012 Red Hat, Inc. All Rights Reserved.